<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- ============================================================= -->
<!--                                                               -->
<!--  MODULE:    contentobject DTD Portiko - vcard definitions     -->
<!--  VERSION:   2.0b                                              -->
<!--  DATE:      March 03, 2004                                    -->
<!--  AUTHOR:    ckarkola, lgoldhahn, jwilhelm, mberg              -->
<!--                                                               -->
<!-- Copyright 2001 - 2004 Portiko, TU Dresden                     -->
<!--                                                               -->
<!-- This stylesheet is free software; you can redistribute it     -->
<!-- and/or modify it under the terms of version 2.1 of            -->
<!-- the GNU Lesser General Public License as published by the     -->
<!-- Free Software Foundation.                                     -->
<!--                                                               -->
<!-- This stylesheet is distributed in the hope that it will be    -->
<!-- useful, but WITHOUT ANY WARRANTY; without even the implied    -->
<!-- warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR       -->
<!-- PURPOSE. See the GNU Lesser General Public License for more   -->
<!-- details.                                                      -->
<!--                                                               -->
<!-- You should have received a copy of the GNU Lesser General     -->
<!-- Public License along with this stylesheet; if not, write to   -->
<!-- the Free Software Foundation, Inc., 59 Temple Place,          -->
<!-- Suite 330, Boston, MA  02111-1307 USA                         -->
<!--                                                               -->
<!-- You can contact Portiko Members by sending e-mail to          -->
<!-- portiko@brzrs2.bau.tu-dresden.de. Please include              -->
<!-- the word 'PORTIKO' in the subject line. The Portiko home page -->
<!-- is located at http://www.portiko.de.                          -->
<!--                                                               -->
<!-- ============================================================= -->

<!-- ============================================================= -->
<!--  Delivered as file "vcard.mod"                                --> 
<!-- ============================================================= -->

<!-- ============================================================= -->
<!--                    VCARD                                      -->
<!-- ============================================================= -->
<!ELEMENT  vc:vcard     (vc:fn, vc:n, (vc:nickname | vc:photo |
                         vc:email | vc:bday | vc:logo | vc:title |
                         vc:tel | vc:adr | vc:role | vc:org)*)    >
<!ATTLIST  vc:vcard
        xmlns:vc  CDATA #FIXED 'http://www.portiko.de/content/vcard' >

<!--                    FULLNAME                                   -->
<!ELEMENT  vc:fn        (#PCDATA)                                    >

<!--                    NAME                                       -->
<!ELEMENT  vc:n         (vc:family+, vc:given*, vc:other*,
                         vc:prefix*, vc:suffix*)  >

<!--                    NICKNAME                                   -->
<!ELEMENT  vc:nickname  (#PCDATA)                                    >

<!--                    PHOTO                                      -->
<!ELEMENT  vc:photo     EMPTY                                        >
<!ATTLIST  vc:photo
             fileref    CDATA                              #REQUIRED
             width      CDATA                              #IMPLIED
             height     CDATA                              #IMPLIED  >

<!--                    EMAIL                                      -->
<!ELEMENT  vc:email     (#PCDATA)                                    >
<!ATTLIST  vc:email
             email.type CDATA                                 "PREF" >

<!--                    BIRTHDAY                                   -->
<!ELEMENT  vc:bday      (#PCDATA)                                    >

<!--                    LOGO                                       -->
<!ELEMENT  vc:logo      EMPTY                                        >
<!ATTLIST  vc:logo
             fileref    CDATA                              #REQUIRED
             width      CDATA                              #IMPLIED
             height     CDATA                              #IMPLIED  >

<!--                    TITLE                                      -->
<!ELEMENT  vc:title     (#PCDATA)                                    >

<!--                    TELEPHONE                                  -->
<!ELEMENT  vc:tel       (#PCDATA)                                    >
<!ATTLIST  vc:tel
             te.type    CDATA              "WORK HOME CELL FAX PREF" >

<!--                    ADRESS                                     -->
<!ELEMENT  vc:adr       (vc:country?, vc:region?, vc:pcode?,
                         vc:locality, vc:extadd*, vc:street*,
                         vc:pobox*)                                  >
<!ATTLIST  vc:adr
             addr.type  CDATA                "WORK HOME POSTAL PREF" >

<!--                    ORGANIZATION                               -->
<!ELEMENT  vc:org       (vc:orgname, vc:orgunit*)                    >

<!--                    ROLE IN THE ORGANISATION                   -->
<!ELEMENT  vc:role      (#PCDATA)                                    >

<!-- ============================================================= -->
<!--                    NAME ELEMENTS                              -->
<!-- ============================================================= -->
<!--                    FAMILY                                     -->
<!ELEMENT  vc:family    (#PCDATA)                                    >

<!--                    GIVEN NAME                                 -->
<!ELEMENT  vc:given     (#PCDATA)                                    >

<!--                    OTHER NAME                                 -->
<!ELEMENT  vc:other     (#PCDATA)                                    >

<!--                    PREFIX                                     -->
<!ELEMENT  vc:prefix    (#PCDATA)                                    >

<!--                    SUFFIX                                     -->
<!ELEMENT  vc:suffix    (#PCDATA)                                    >


<!-- ============================================================= -->
<!--                    ADRESS ELEMENTS                            -->
<!-- ============================================================= -->
<!--                    COUNTRY                                    -->
<!ELEMENT  vc:country   (#PCDATA)                                    >

<!--                    REGION                                     -->
<!ELEMENT  vc:region    (#PCDATA)                                    >

<!--                    PCODE                                      -->
<!ELEMENT  vc:pcode     (#PCDATA)                                    >

<!--                    LOCALITY, CITY                             -->
<!ELEMENT  vc:locality  (#PCDATA)                                    >

<!--                    ADRESS EXTENSION                           -->
<!ELEMENT  vc:extadd    (#PCDATA)                                    >

<!--                    STREET                                     -->
<!ELEMENT  vc:street    (#PCDATA)                                    >

<!--                    POBOX                                      -->
<!ELEMENT  vc:pobox     (#PCDATA)                                    >

<!-- ============================================================= -->
<!--                    NAME ELEMENTS                              -->
<!-- ============================================================= -->
<!--                    ORGNAME                                    -->
<!ELEMENT  vc:orgname   (#PCDATA)                                    >

<!--                    ORGUNIT                                    -->
<!ELEMENT  vc:orgunit   (#PCDATA)                                    >
